void cleanup_exit(char *msg, int errnum)
{
  clear();
  refresh();
  endwin();
  debug = 0;
  if (debug == 1) {
    printf("Message:   %s\n", msg);
    printf("Errnum:    %d\n", errnum);
    printf("Socket:    %d\n", S);
  } 

  if (use_fifo == 1) {
       unlink(fifo);
  }
  
  switch (errnum) {
  case 1:
    printf("%s:    %s\n", msg, strerror(errnum));
    break;
  case 2:
  	 if (pid != getpid()) 
	 	exit(0);
    printf("%s  \n", msg);
    break;
  default:
    printf("%s:    %s\n", msg, strerror(errnum));
  }

  unlink(color_temp_file);

  close(S);
  exit(3);
}



