

int set_up_color(char *rcfile, char *temp_file)
{
  char name[255]; 
  char *env;
  char *find;
  char color1[16], color2[16];
  int x, x1;
  int find_len;
  FILE *fp, *fp_temp;
  char rc_buf[255];
  // define colors
  int col_fg, col_bg, color;
  int def;
  int pair = 10;
  int no_rc = 0;

  if ((fp = fopen(rcfile, "r")) == NULL ) {
    no_rc = 1;
  }

  if ((fp_temp = fopen(temp_file, "w")) == NULL ) {
    return(-12);
  }

  if (no_rc == 1) {
    if ((fp = fopen(rcfile, "w")) == NULL ) return(-1);
    fprintf(fp, "## System vars:
##   .default_user = User not known.
##   .Winput       = Input window.
##   .Wtext        = Server messages, ex. \".help\" output.
.default_user=1:0
.Winput=3:0
.Wtext=2:0
##
## <NAME_OF_USER>=<FG_COLOR>:<BG_COLOR>
eah=5:0
");
    no_rc = 0;
    
    wclear(Wt);
    wmove(Wt, 0,0);
    wprintw(Wt, "Created color setup file: %s\n\n", color_rc_file);
    wprintw(Wt, "Please restart naken_curs to enable colors\n");
    wprintw(Wt, "\nPress a key to end.\n");
    wrefresh(Wt);
    getch();
    clear(); refresh();
    endwin();
    exit(0);
  }
  
  start_color();

  while ((fgets(rc_buf, sizeof(rc_buf), fp)) != NULL ) {
    memset(name, 0, sizeof(name));
    memset(color1, 0, sizeof(color1));
    memset(color2, 0, sizeof(color2));
    
    if (rc_buf[0] == '#' || rc_buf[0] == ';' ) {
	continue;
    }

    if (strstr(rc_buf, "=") == NULL) {
      continue;
    }
    
    find_len = strlen(rc_buf);
    x = 0;
    while (rc_buf[x] != '=' &&  x < find_len ) {
      name[x] = rc_buf[x];
      x++;
    }
    name[x] = '\0';
    if (rc_buf[x] != '=') {
      continue;
    } else {
      x++;
    }
                
    find_len = strlen(rc_buf);
    x1 = 0;
    while(rc_buf[x] != ':' &&  x < find_len) {
      color1[x1] = rc_buf[x];
      x1++;
      x++;
    }
    color1[x1] = '\0';
    if (rc_buf[x] != ':' ) {
      continue;
    } else {
      x++;
    }
     
    x1 = 0;
    while(rc_buf[x] != '\n' && x < find_len) {
      color2[x1] = rc_buf[x];
      x1++;
      x++;
    }
    color2[x1] = '\0';
        
    col_fg = atol(color1);
    col_bg = atol(color2);
    
    init_pair(pair, col_fg, col_bg);
    fprintf(fp_temp, "%s=%d  (%d:%d)\n", name, pair, col_fg, col_bg);
    pair++;
    refresh();
  }
  
  fclose(fp);
  fclose(fp_temp);
  return(0);
}
