
int write_fifo(char *string, int command) {
	int fd_pipe;

	if (command == 1) {
		if (mkfifo(fifo, 0000) < 0)  {
			 perror("mkfifo");
			 exit(1);
		}
		if (chmod(fifo, S_IREAD|S_IWUSR) < 0) {
			 perror("chmod: chmod");
			 exit(1);
		}
	}

	if ( (fd_pipe = open(fifo, O_WRONLY|O_NONBLOCK)) < 0 ) {
		// No one is listening on fifo, just go on..
		if (errno == ENXIO)
		  return(0);

		perror("open fifo");
		exit(1);
	}

	if (write(fd_pipe, string, strlen(string)) != strlen(string)) {
		perror("write failed");
		exit(1);
	}

	close(fd_pipe);
}

