int emacs_check(int c)
{
  int diff;
  int i, org_x;
  char tmp_text[BUFSIZE];
  
  // Check meta characters first.
  if (metachar == 1) {
    switch(c) {
    case 'd':
      org_x = x;
      i = 0;
      send_text[x] = 0;
      while( send_text[x] != ' ' && x != max_x) {
	x++;
      }
      if (x < max_x) x++;
      while(  x <= max_x) {
	tmp_text[i] = send_text[x];
	// fprintf(lg, "tmp_text=%d = send_text[%c] (%d)\n", c, x);
	i++; x++;
      }
      tmp_text[i] = 0;
      send_text[x] = 0;
      // fprintf(lg, "temp_text = <%s>\nsend_text = <%s>\n", tmp_text, send_text);
      x = org_x;
      strcat(send_text, tmp_text);
      max_x = strlen(send_text);
      wmove(Wi, Wi_y, x);
      wprintw(Wi, "%s", send_text);
      wrefresh(Wi);
      break;
    case 'b':
      if (send_text[x-1] == ' ') x--;
      while (send_text[x-1] != ' ' && x != 0) {
	x--;
      }
      while (send_text[x] != ' ' && x != 0) {
	// fprintf(lg, "Hit on M-f x = %d, max_x=%d\n", x, max_x);
	x--;
      }
      if (x != 0) x++;
      wmove(Wi, Wi_y, x);
      wrefresh(Wi);
      break;
    case 'f':
      while (send_text[x] != ' ' && x != max_x) {
	// fprintf(lg, "Hit on M-f x = %d, max_x=%d\n", x, max_x);
	x++;
      }
      while (send_text[x] == ' ' && x != max_x) {
	x++;
      }
      wmove(Wi, Wi_y,x);
      wrefresh(Wi);
      break;
    }
    return(0);
  }

  // if c-x -> %c is pressed.
  if (C_x_char == 1) {
    switch(c) {
    case 117: // C-x u  Undo.
      // fprintf(lg, "got C-x u\n");
      regular_char = 0;
      clearWi(BUFSIZE);
      strcpy(send_text, undo_buf);
      max_x = strlen(send_text);
      wprintw(Wi, "%s   ", send_text);
      wmove(Wi, Wi_y, x);
      wrefresh(Wi);
      return(0);
      break;
      
    }
  }

  // Check -> C-l
  if (c == 12) {
    regular_char = 0;
    wclear(Wt); wrefresh(Wt);
    clearWi(BUFSIZE);
    return(0);
  }

  // check -> C-u 
  if ( c == 21 ) {
    regular_char = 0;
    clearWi(BUFSIZE);
    memset(send_text, 0, sizeof(send_text));
    x = 0;
    max_x = 0;
    if (Cl_sec1 != 0) {
      Cl_sec2 = time(NULL);
      diff = Cl_sec2 - Cl_sec1;
      if (diff <= 1) {
	wclear(Wt); wrefresh(Wt);
	Cl_sec1 = 0; Cl_sec2 = 0;
	return(0);
      } else {
	Cl_sec1 = 0; Cl_sec2 = 0;
      }
    } else {
      Cl_sec1 = time(NULL);
    }
    return(0);
  }

  // Check C-a
  if (c == 1) {
    clearWi(BUFSIZE);
    wmove(Wi, getcury(Wi), 0);
    x = 0;
    regular_char = 0;
  }

  // Check C-e
  if (c == 5) {
    clearWi(BUFSIZE);
    wmove(Wi, getcury(Wi), max_x);
    x = max_x;
    regular_char = 0;
  }

  // Check C-k, Kill-to-end-of-line
  if (c == 11) {
    clearWi(BUFSIZE);
    wrefresh(Wi);
    send_text[x] = 0;
    max_x = x;
    regular_char = 0;
  }
}











