

int handle_input(void)
{
  int mv_cnt;
  int len;
	int res;
  char tmp_clear[BUFSIZE];
  
  touchwin(Wi);
  regular_char = 1;
  c = wgetch(Wi);    
  Wi_x = getcurx(Wi);
  Wi_y = getcury(Wi);
  
  if (c == -1) {
    return(0);
  }
  
	if (c == ' ' || c == 1 || c == 4 || c == 5 || c == 27) {
	 	tab_complet(3);
	}
 
 	last_char = c;

  if (metachar == 1) {
    emacs_check(c);
    regular_char = 0;
    metachar = 0;
    clearWi(BUFSIZE);
    wprintw(Wi, "%s", send_text);
    wmove(Wi, 0, x);
    wrefresh(Wi);
    return(0);
  }
  if (c == 27) {
    metachar = 1;
    return(0);
  } else {
    metachar = 0;
  }
  
  if (C_x_char == 1) {
    clearWi(BUFSIZE);
    wprintw(Wi, "%s", send_text);
    wmove(Wi, 0, x);
    wrefresh(Wi);
    emacs_check(c);
    C_x_char = 0;
    return(0);
  }
  if (c == 24) {
    clearWi(BUFSIZE);
    wprintw(Wi, "%s", send_text);
    wmove(Wi, 0, x);
    wrefresh(Wi);
    C_x_char = 1;
    return(0);
  } else {
    C_x_char = 0;
  }
  
  if (check_valid_keys(c) == 0) {
    // Not a valid key.
    wmove(Wi, 0, 0);
    wprintw(Wi, "%s", send_text);
    wmove(Wi, 0, x);
    wrefresh(Wi);
    return(0);
  }
  
  
  emacs_check(c);
  switch(c) {
  case 9:
    regular_char = 0;
    // strcat(send_text, "Whoow");
		tab_complet(0);
    max_x = strlen(send_text);
    x = max_x;
    break;
  case 8:
    regular_char = 0;
    c = 263;
  case 330: // Delete key
    regular_char = 0;
    c = 263;
  case 263: // backspace
    if (x == 0) return(0);
    clearWi(BUFSIZE);
    if (x != max_x) {
      x--;
      mv_cnt = x;
      len = strlen(send_text);
      while(mv_cnt != len) {
	send_text[mv_cnt] = send_text[mv_cnt + 1];
	mv_cnt++;
      }
      max_x--;
      send_text[max_x] = 0;
      regular_char = 0;
    } else {
      if (x != 0) {
	x--;
	max_x--;
      }
      log(x, max_x, "x max_x");
      send_text[x] = 0;
      send_text[max_x] = 0;
      regular_char = 0;
    }
    break;
  case 258: // arrow down
    strcpy(history[max_history - in_history], send_text);
    trav_history(0);
    regular_char = 0;
    break;
  case 259: // arrow up
    strcpy(history[max_history - in_history], send_text);
    trav_history(1);
    regular_char = 0;
    break;
  case 260: // Left arrow
    if (x != 0) {
      x--;
      wmove(Wi, 0, x); wrefresh(Wi); 
    }
    regular_char = 0;
    break;
  case 261: // Right arrow
    if (x != max_x) {
      x++;
      wmove(Wi, 0, x); wrefresh(Wi); 
    }
    regular_char = 0;
    break;
  }
  
  if (x == (BUFSIZE - 1) && x != '\n' ) {
    // fprintf(lg, "Buffer is full! %d == %d || %c != BS\n", x, BUFSIZE - 1, x);
    return(0);
  }
  
  if (c == '\n') {
    if (max_x == 0) 
      return;
    send_text[max_x] = '\n';
    max_x++;
    send_text[max_x] = '\0';
    
    // History
    if ( max_history == HIST ) {
      // History is full.
      trav_history(2);
    }
	
		res = 10;
		if (max_history != 0) {
			strcpy(tmp_clear, send_text);
			// fprintf(lg, "last in send_text: <%d>\n", tmp_clear[max_x-1]);
			tmp_clear[max_x-1] = '\0';
			res = strcmp(tmp_clear, history[max_history - 1]);
		}
		if (res != 0) {
		  strcpy(history[max_history], send_text);
		  in_history = 0;
			history[max_history][max_x-1] = '\0';
			max_history++;
		}
    
    
    
    if (check_local_command(send_text) == 1) {
      memset(tmp_clear, ' ', strlen(tmp_clear));
      wprintw(Wi, "%s", tmp_clear);
      wmove(Wi, 0, 0);
      wrefresh(Wi);
      x = 0;
      max_x = 0;
      memset(send_text, 0, strlen(send_text));
      set_ncolor(".Winput", color_temp_file, Wi);
      nodelay(Wi, TRUE);
      return(0);
    }
    write(S, send_text, strlen(send_text));
    wrefresh(Wt);
    clearWi(BUFSIZE);
    send_text[max_x] = '\0';
    x = 0;
    max_x = 0;
    memset(send_text, 0, sizeof(send_text));
    return(0);
  } else {
    if (regular_char == 1) { // This is a reg. character, save this
      if (x != max_x) {
	mv_cnt = strlen(send_text);
	while(mv_cnt != x-1) {
	  send_text[mv_cnt + 1] = send_text[mv_cnt];
	  mv_cnt--;
	}
	max_x++;
	send_text[max_x] = 0;
      }
      send_text[x] = c;	
      if (x == max_x) {
	max_x++;
      }
      x++;
    }
  }
  
  send_text[max_x] = 0;
  strcpy(undo_buf, send_text);
  wmove(Wi, 0, 0);
  wprintw(Wi, "%s", send_text); 
  wmove(Wi, 0, x);  wrefresh(Wi);
  send_text[max_x] = '\0';
}

