
void print_usage(void)
{
  endwin();  
  printf("Usage: naken_curs <-s naken_server> [options]\n");
  printf("   options:\n");
  printf("       -s SERVER   : Naken-servers ip or hostname.\n");
  printf("                     Variable \"NAKEN_HOST\" can be used.\n");
  printf("       -p PORT     : Naken-server port (Default 6666).\n");
  printf("                     Variable: \"NAKEN_PORT\" can be used.\n");
  printf("       -t TIMEOUT  : Connection timeout.\n");
  printf("       -f RC_FILE  : Color rc file (Default $HOME/.naken_color).\n");
  printf("       -n NAME     : Sets your name in chat server.\n");
  printf("                     Variable: \"NAKEN_NAME\" can be used.\n");
  printf("       -l FILE     : Add logging of chat msgs to file \"FILE\".\n");
  printf("                     Variable: \"NAKEN_LOGFILE\" can be used.\n");
  printf("       -e          : Add timestamps of each message i logfile.\n");
  printf("                     Variable \"NAKEN_LOGDATE\" with value \"1\"\n");
  printf("       -b          : Disable \"beep\" and \"flash\" on private messages\n");
  printf("       -P FIFO_FILE: Also send all recived text trough \"FIFO_FILE\".\n");
  printf("                     Good for attaching other scripts that can take -\n");
  printf("                     action on different messages.\n");
  printf("       -?          : This help message.\n\n");
  printf("   Naken_Curs local commands:\n");
  printf("       .adduser    : Add a user color.\n");
  printf("       @<file>     : Takes line by line in file and send's it.\n");  
  printf("\n");
  printf("naken_curs, Version %s\n", VERSION);
  printf("Erik Ahlstrm, seeah@proact.se\n");

  
  exit(1);
}
