

int recv_text(void)
{
  char buf[1024];
  char line[1024];
  int  count1, count2;
  int  size;
  FILE *msg_log;

  memset(buf, 0, 1024);
  memset(line, 0, sizeof(line));
  read(S, buf, 1024);
  size = strlen(buf);

  if (use_fifo == 1) {
	  write_fifo(buf, 0);
  }

  if (disable_beep != 1) {
	 if (buf[0] == '<') {
		  beep();
		  flash();
	 }
  }

  count1 = 0;
  count2 = 0;
  while(count1 != size) {
    if (buf[count1] == '\r') {
      line[count2] = '\r';
      line[count2+1] = '\0';
      count1++;
      set_ncolor(line, color_temp_file, Wt);
      wprintw(Wt, "%s", line); wrefresh(Wt);
      // fprintf(lg, "logfile=<%s> log_to_file=<%d> logdate=<%d>\n", logfile, log_to_file, logdate);
      if (log_to_file == 1) {
	if ((msg_log = fopen(logfile, "a")) != NULL) {
	  if (logdate == 1) {
	    datestr(msg_log);
	  }
	  // fprintf(msg_log, "%s", line);
	  fclose(msg_log);
	}
      }
      memset(line, 0, sizeof(line));
      count2 = 0;
      continue;
    } else {
      line[count2] = buf[count1];
    }
    count2++;
    count1++;
  }
}


