int set_up_windows(void)
{
  int input_win_rows;
  int Wi_start, Delim_start;
  int Delim_rows = 1;

  if (lines_org != 0 && cols_org != 0) {
    delwin(Wi);
    delwin(Wt);
    delwin(Delim);
    clear();
    refresh();
  }
  lines_org = LINES;
  cols_org  = COLS;
  

  input_win_rows = 2;
  Delim_rows = 1;

  Wt_lin = LINES - input_win_rows - Delim_rows - 1;
  Wt_col = COLS;
  
  Wi_lin = input_win_rows;
  Wi_col = COLS;
  Wi_start = Wt_lin + 1;
  Delim_start = Wt_lin;

  Wt = newwin(Wt_lin, Wt_col, 0, 0);
  Wi = newwin(Wi_lin, Wi_col, Wi_start, 0);
  Delim = newwin(1, Wt_col, Delim_start, 0);

  // memset(send_text, '-', COLS);
  memset(send_text, DELIM_CHAR, COLS);
  wprintw(Delim, "%s", send_text);
  wmove(Delim, 0, COLS / 2 - 19);
  // wprintw(Delim, " Author: Erik Ahlstrm, eah@proact.se ");
  wrefresh(Wt);   wrefresh(Wi);  wrefresh(Delim);
  memset(send_text, 0, COLS);
  // fprintf(lg, "Wt_lin=%d, Wi_start=%d, Delim=%d\n", Wt_lin, Wi_start, Delim_start);

  meta(Wi, TRUE);  
  keypad(Wi, TRUE);  
  nodelay(Wi, TRUE);
  scrollok(Wi, TRUE);
  scrollok(Wt, TRUE);
  return(0);
}



