
int tab_complet(int comm) {
	char dbfile[255];
	char db[255];
	char match[BUFSIZE];
	char all_match[db_lines+10][db_maxlen+10];
	char clr[COLS];
	char show_match[BUFSIZE];
	FILE *dbfh;
	int	 hits, check_hits;
	int  cnt, cnt2, stop, in_org, in_match;
	int  res;
	int  match_number;
	int  match_org_len;

	memset(dbfile, 0, sizeof(dbfile));
	memset(db, 0, sizeof(db));
	memset(match, 0, sizeof(db));
	memset(all_match, 0, sizeof(all_match));
	memset(show_match, 0, sizeof(show_match));
	
	sprintf(dbfile, "%s/%s", getenv("HOME"), ".ncurs_db");

	if (comm == 1) {
		if ((dbfh = fopen(dbfile, "r")) == NULL) {
			// fprintf(lg, "cannot open dbfile\n");
			ncurs_db_errno = errno;
			return(-1);
		} 
		db_lines = 0;
		db_maxlen = 0;
		while( fgets(db, 255, dbfh) != NULL ) {
			db_lines++;
			if (strlen(db) > db_maxlen) {
				db_maxlen = strlen(db);
			}
		}
		// fprintf(lg, "==== setup complete: lines %d, len %d\n", db_lines, db_maxlen);
		fclose(dbfh);
		return(0);
	}

	if (comm == 3) {
		memset(clr, DELIM_CHAR, COLS);	
		wmove(Delim, 0, 0);
		wprintw(Delim, "%s", clr);
		wrefresh(Delim);
		return(0);
	}

	// Some thing was not ok with setup.
	if (ok_complet != 0) {
		wmove(Delim, 0, 1);
		wprintw(Delim, " $HOME/.ncurs_db: %s ", strerror(ncurs_db_errno));
		wrefresh(Delim);
		return(-1);
	}


	
	// dont check tab as first char...
	if (x == 0) 
		return(0);
	// or if in line -1 char is space
	if (send_text[x-1] == ' ') 
		return(0);


	if ((dbfh = fopen(dbfile, "r")) == NULL) {
		// fprintf(lg, "cannot open dbfile\n");
		return;
	}

	in_match = 0;
	in_org = 0;
	while(in_org != max_x) {
		if (send_text[in_org] == 32) {
			in_match = 0;
			in_org++;
			continue;
		}
		match[in_match] = send_text[in_org];
		
		in_match++; in_org++;
	}
	match[in_match] = '\0';

	cnt = 0;
	hits = 0;
	// while(cnt < 4) {
	// fprintf(lg, "------ lines %d --- chars %d ------\n", db_lines, db_maxlen );
	while( fgets(db, BUFSIZE, dbfh) != NULL ) {
		res = strncmp(db, match, strlen(match));
		if ( res == 0 ) {
			db[strlen(db) - 1] = '\0';
			// Dont add this if it's already in all_match.
			cnt2 = 0;
			// To tired to think today, why does not break(2) work?
			stop = 0;
			while(all_match[cnt2][0] != '\0') {
				res = strcmp(all_match[cnt2], db);
				if (res == 0) {
					stop = 1;
					break;
				}
				cnt2++;
			}
			if (stop == 1) {
				break;
			}
			strcpy(all_match[hits], db);
			if ( (sizeof(show_match) - strlen(show_match)) > 50 ) {
				strcat(show_match, " ");
				strcat(show_match, db);
			}
			// fprintf(lg, "all_match[%d] = %s\n", hits, all_match[hits]);
			memset(db, 0, sizeof(db));
			hits++;
			if (hits > 30) 
				break;

		}
		cnt++;	
	}
	
	if (hits == 0) {
		tab_complet(3);
		return;
	}
	
	if (hits == 1) {
		send_text[max_x - strlen(match)] = '\0';
		strcat(send_text, all_match[0]);
		max_x = strlen(send_text);
		send_text[max_x] = 32;
		send_text[max_x+1] = '\0';
		tab_complet(3);
		// fprintf(lg, "send clear...\n");
		fclose(dbfh);
		return(0);
	}

	match_number = strlen(match);
	cnt2 = 1;
	check_hits = hits;
	if (hits > 1) {
		match_org_len = strlen(match);
		while(check_hits == hits) {
			if ((strlen(all_match[0]) + 1) == match_number) {
				// fprintf(lg, "Break in line: 90\n");
				check_hits = 0;
				break;
			}

			memset(match, 0, sizeof(match));
			strncpy(match, all_match[0], match_number);
			match[match_number+1] = '\0';
			cnt = 0;
			check_hits = 0;
			while (cnt <= hits) {
				res = strncmp(all_match[cnt], match, strlen(match));
				if (res == 0) {
					check_hits++;	
					// fprintf(lg, "strncmp(cmp cnt=%d => %s, %s, %d  (H-%d, CH-%d)\n", cnt, all_match[cnt], match, strlen(match), hits, check_hits);
				}
				cnt++;
			}
			if (check_hits == hits) {
				memset(db, 0, sizeof(db));
				strcpy(db, match);
			}
			cnt2++;
			match_number++;
		}

		// fprintf(lg, "====> match in now db: <%s> <%d>\n", db, hits);
		tab_complet(3);
		wmove(Delim, 0, 1);
		if (strlen(show_match) > (COLS + 1)) {
			memcpy(clr, show_match, COLS - 6);
			strcat(clr, "......");
		} else {
			memcpy(clr, show_match, COLS - 2);
		}
		wprintw(Delim, "%s ", clr);
		wrefresh(Delim);
		// fprintf(lg, "====> printed in delim\n ");
		

		send_text[max_x - match_org_len] = '\0';
		strcat(send_text, db);
		max_x = strlen(send_text);
		x = max_x;
	}



	fclose(dbfh);
}
